package com.dsk.common.core.domain.model;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.ToString;

import javax.validation.constraints.AssertFalse;
import javax.validation.constraints.NotNull;

@Data
@ToString
@NoArgsConstructor
@EqualsAndHashCode(callSuper = false)
public class EnterpriseCreditLawsuitsPageBody extends BasePage {
    /**
     * 企业id
     */
    @NotNull(message = "企业id不能为空")
    private Integer cid;

    /**
     * 裁判文书案由
     */
    private String causeAction;
    /**
     * 裁判文书身份
     */
    private String role;

    /**
     * 查询关键词
     */
    private String keys;

    /**
     * 开始时间（年月日）
     */
    private String dateFrom;
    /**
     * 截止时间（年月日）
     */
    private String dateTo;

    public boolean isVaildCid() {
        return 0 == cid;
    }

}
