package com.dsk.system.domain.business.dto;

import lombok.Data;

import java.util.List;

/**
 * @author lxl
 * @Description:
 * @Date 2023/5/16 上午 9:10
 **/
@Data
public class BusinessListDto {
    /**
     * 项目名称
     */
    private String projectName;

    /**
     * 用户id
     */
    private Integer userId;

    /**
     * 用户查看全部他人可见项目标示
     */
    private Long others;

    /**
     * 省id
     */
    private List<Integer> provinceId;

    /**
     * 市id
     */
    private List<Integer> cityId;

    /**
     * 区id
     */
    private List<Integer> districtId;

    /**
     * 项目类型
     */
    private List<String> projectType;

    /**
     * 投资估算
     */
    private String investmentAmount;

    /**
     * 项目阶段
     */
    private List<String> projectStage;

    /**
     * 最小金额
     */
    private String minAmount;

    /**
     * 最大金额
     */
    private String maxAmount;

    /**
     * 业主单位
     */
    private String ownerCompany;
}
