package com.dsk.system.domain.customer;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * 用户联系人(CustomerContact)实体类
 *
 * @author makejava
 * @since 2023-07-25 17:18:00
 */
@Data
@NoArgsConstructor
@Accessors(chain = true)
@TableName("contact_info")
public class ContactInfo implements Serializable {
    private static final long serialVersionUID = -22461377492423075L;

    @TableId(value = "id",type = IdType.AUTO)
    private Long id;
    /**
     * 客户id
     */
    private String customerId;
    /**
     * 项目id
     */
    private Integer projectId;
    /**
     * 姓名
     */
    private String name;
    /**
     * 性别
     */
    private String sex;
    /**
     * 角色
     */
    private String role;
    /**
     * 职位
     */
    private String position;
    /**
     * 联系方式
     */
    private String contactInformation;
    /**
     * 企业id
     */
    private Integer companyId;
    /**
     * 城投企业id
     */
    private String uipId;
    /**
     * 企业名称
     */
    private String companyName;
    /**
     * 备注
     */
    private String remark;

    private String createBy;

    private Date createTime;

    private String updateBy;

    private Long updateId;

    private Date updateTime;


}
