package com.dsk.system.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.dsk.system.domain.customer.ContactInfo;
import com.dsk.system.domain.customer.dto.ContactInfoSearchDto;
import com.dsk.system.domain.customer.vo.ContactInfoListVo;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;


/**
 * 用户联系人(CustomerContact)表数据库访问层
 *
 * @author makejava
 * @since 2023-07-25 17:18:05
 */
@Mapper
public interface ContactInfoMapper extends BaseMapper<ContactInfo> {

    List<ContactInfoListVo> selectPageList(ContactInfoSearchDto dto);

}

