package com.dsk.system.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.dsk.system.domain.customer.CustomerUser;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;


/**
 * 客户负责人表(Customer)表数据库访问层
 *
 * @author makejava
 * @since 2023-05-16 09:28:00
 */
@Mapper
public interface CustomerUserMapper extends BaseMapper<CustomerUser> {

    CustomerUser selectByCustomerIdAndUserId(@Param("customerId") String customerId,@Param("userId") Long userId);

}

