package com.dsk.common.core.domain.model;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.ToString;

import javax.validation.constraints.AssertFalse;
import javax.validation.constraints.NotNull;

@Data
@ToString
@NoArgsConstructor
@EqualsAndHashCode(callSuper = false)
public class EnterpriseBussinessBidCooperatePageBody extends BasePage {
    /**
     * 企业id
     */
    @NotNull(message = "企业id不能为空")
    private Integer tendereeId;

    /**
     * 企业id
     */
    @NotNull(message = "企业id不能为空")
    private Integer agencyId;

    /**
     * 查询关键字
     */
    private String keys;

    public boolean isVaildCid() {
        return 0 == tendereeId || 0 == agencyId;
    }


}
