package com.dsk.common.core.domain.model;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.ToString;

import javax.validation.constraints.NotNull;

@Data
@ToString
@NoArgsConstructor
@EqualsAndHashCode(callSuper = false)
public class EnterpriseProjectSpecialDebtProjectPageBody extends BasePage {
    /**
     * 企业id
     */
    @NotNull(message = "企业id不能为空")
    private Integer cid;

    /**
     * 查询关键字
     */
    private String keys;


    /*
     * 排序字段：1总投资金额倒序，2总投资金额正序，17项目资本金倒序，18项目资本金正序，19专项债用作资本金倒序，20专项债用作资本金正序
     */
    private Integer sort;

    public boolean isVaildCid() {
        return 0 == cid;
    }
}
