package com.dsk.common.core.domain.model;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

import javax.validation.constraints.AssertFalse;
import javax.validation.constraints.NotNull;

/**
 * 甲方业绩数据
 */
@Data
@NoArgsConstructor
@EqualsAndHashCode(callSuper = false)
public class EnterpriseProjectTenderDataGroupBody {

    //企业Id
    @NotNull(message = "企业id不能为空")
    private Integer cid;
    
    //group类型 0：金额，1：项目类型
    private Integer type;


    public boolean isVaildCid() {
        return 0 == cid;
    }
}
