package com.dsk.common.dtos;

import com.dsk.common.core.domain.model.BasePage;
import lombok.Data;

/**
 * @ClassName SpecialPurposeBonds
 * @Description 专项债-项目分页列表
 * @Author Dgm
 * @Date 2023/5/23 14:05
 * @Version
 */
@Data
public class SpecialPurposeBondsPageDto extends BasePage {
    /**
     * 省Id
     */
    private Integer provinceId;
    /**
     * 市Id
     */
    private Integer cityId;

    /**
     * 区Id
     */
    private Integer areaId;

    /**
     * 排序字段 默认-投资金额
     */
    private String field;
    /**
     * 排序 (降序desc 升序asc)
     */
    private String order;
    /**
     * 是否为历史（1是，0否）
     */
    private Integer isHistory;

}
