package com.dsk.system.domain.business.vo;

import lombok.Data;

/**
 * @author lxl
 * @Description:
 * @Date 2023/5/22 下午 5:19
 **/
@Data
public class BusinessBrowseVo {

    /**
     * 项目名称
     */
    private String projectName;

    /**
     * 0 仅自己可见，1 他人可见
     */
    private Integer isPrivate;

    /**
     * 项目类型
     */
    private String projectType;

    /**
     * 项目类别
     */
    private String projectCategory;

    /**
     * 项目状态(0.储备中1.跟进中2.已合作)
     */
    private Integer status;

    /**
     * 投资估算
     */
    private Double investmentAmount;

    /**
     * 省
     */
    private String provinceName;

    /**
     * 市
     */
    private String cityName;

    /**
     * 区
     */
    private String districtName;

    /**
     * 省id
     */
    private Integer provinceId;

    /**
     * 市id
     */
    private Integer cityId;

    /**
     * 区id
     */
    private Integer districtId;

    /**
     * 商务团队
     */
    private String team;

    /**
     * 项目阶段
     */
    private String projectStage;

    /**
     * 项目级别
     */
    private String projectLevel;

    /**
     * 项目标签
     */
    private String labelList;

    /** 建设单位 */
    private String constructionUnit;

    /** 建设单位负责人 */
    private String constructionPrincipal;

    /** 建设单位联系电话 */
    private String constructionPhone;

    /** 主管单位 */
    private String supervisorUnit;

    /** 主管单位负责人 */
    private String supervisorPrincipal;

    /** 主管单位联系电话 */
    private String supervisorPhone;

    /**
     * 联系人统计
     */
    private Integer contactsCount;

    /**
     * 跟进记录统计
     */
    private Integer followRecordCount;

    /**
     * 工作待办统计
     */
    private Integer backlogCount;

    /**
     * 相关企业统计
     */
    private Integer relateCompanyCount;

    /**
     * 资料文档统计
     */
    private Integer fileCount;

    /**
     * 是否创建人(1 是,0 否)
     */
    private Integer isFounder;


}
