package com.dsk.system.domain.customer.dto;

import lombok.Data;

import java.io.Serializable;

/**
 * @author lcl
 * @create 2023/5/16
 */
@Data
public class CustomerSearchDto implements Serializable {
    /**
     * 企业id
     */
    private Integer companyId;
    /**
     * 城投企业id
     */
    private String uipId;
    /**
     * 企业名称
     */
    private String companyName;
    /**
     * 客户id
     */
    private String customerId;
    /**
     * 用户id
     */
    private Long userId;
    /**
     * 客户状态 0：正常 1：历史
     */
    private Integer status;

}
